diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index e10ccec..d685894 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -5025,12 +5025,12 @@ int PQputCopyEnd(PGconn *conn,
       </para>
 
       <para>
-       The result is 1 if the termination data was sent, zero if it was
-       not sent because the attempt would block (this case is only possible
-       if the connection is in nonblocking mode), or -1 if an error
-       occurred.  (Use <function>PQerrorMessage</function> to retrieve
-       details if the return value is -1.  If the value is zero, wait for
-       write-ready and try again.)
+       The result is 1 if the termination data was sent, or if the socket
+       is in non-blocking mode and the data was queued but could not be sent
+       because the attempt would block.  (In non-blocking mode, to be certain
+       that the data has been sent, you should call <function>PQflush</>
+       until it returns zero.)  The result is -1 if an error has occurred.
+       (Use <function>PQerrorMessage</function> to retrieve details.)
       </para>
 
       <para>
